> ## Documentation Index
> Fetch the complete documentation index at: https://kb.solargis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the TMY data

## OpenAPI

````json GET /tmy/data-request/{requestId}
{
  "openapi": "3.0.3",
  "info": {
    "title": "Solargis API documentation",
    "version": "2.1.1",
    "description": "Explore Solargis API endpoints and learn how to retrieve TimeSeries, TMY, and other data from your Solargis subscriptions."
  },
  "servers": [
    {
      "url": "https://api.solargis.com",
      "description": "TimeSeries and TMY API endpoint"
    }
  ],
  "tags": [
    {
      "name": "Solargis Time Series API",
      "description": "Endpoints for Time Series data requests"
    },
    {
      "name": "Solargis TMY API",
      "description": "Endpoints for TMY data requests"
    },
    {
      "name": "Subscription details API",
      "description": "Get information about your subscription"
    }
  ],
  "paths": {
    "/tmy/data-request/{requestId}": {
      "get": {
        "tags": [
          "Solargis TMY API"
        ],
        "summary": "Get the TMY data",
        "security": [
          {
            "TMYToken": []
          }
        ],
        "parameters": [
          {
            "name": "requestId",
            "in": "path",
            "required": "true",
            "description": "Unique identifier returned by the TMY data request POST endpoint.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "TMY request status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TMYStatusResponse"
                }
              }
            }
          },
          "401": {
            "description": "Invalid authorization",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvalidToken"
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/BadRequestId"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "TMYStatusResponse": {
        "type": "object",
        "required": [
          "status"
        ],
        "properties": {
          "status": {
            "type": "string",
            "enum": [
              "queued",
              "processing",
              "success",
              "reject",
              "error",
              "expired"
            ],
            "description": "Current processing state of the TMY data request.",
            "example": "success"
          },
          "statusCode": {
            "type": "string",
            "description": "Machine-readable code providing additional detail about the request outcome.",
            "example": "200"
          },
          "statusMessage": {
            "type": "string",
            "description": "Human-readable message describing the request result.",
            "example": "Request has been processed."
          },
          "downloadUrl": {
            "type": "string",
            "format": "uri",
            "description": "Pre-signed URL to download the output TMY data file.",
            "example": "https://s3.amazonaws.com/..."
          }
        }
      },
      "InvalidToken": {
        "type": "object",
        "description": "Invalid authorization",
        "properties": {
          "error": {
            "type": "string",
            "description": "Machine-readable error code indicating the authentication failure reason.",
            "example": "token.invalid"
          }
        }
      },
      "TSerror500": {
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "Machine-readable error code indicating the reason for the failure.",
            "example": "api.data_request.not_found"
          }
        }
      }
    },
    "responses": {
      "BadRequestId": {
        "description": "Bad requestId",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/TSerror500"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "TMYToken": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Enter your Solargis TMY Bearer token.\n"
      }
    }
  }
}
````

